Subject: formal way to map from pf to vfs when using VT-d?

From: Chris Friesen <[email-masked]>
Date: Fri, 08 Jun 2012 14:14:16 -0600

Hi,

I'm using the igb/igbvf drivers.  If I set igb.max_vfs=7,7,7,7 it 
creates 7 vfs for each of my pfs.  So far so good.

Now, how do I map from a given pf to the PCI addresses for the set of 
vfs that are associated with it?  I don't have virsh installed, so is 
there a way to query this with sysfs or something?

Thanks,
Chris

-- 

Chris Friesen
Software Designer

3500 Carling Avenue
Ottawa, Ontario K2H 8E9
www.genband.com